<?php if ($field->title) { ?><label for="<?php echo $field->id; ?>"><?php echo $field->title; ?></label><?php } ?>

<?php
$api = (!empty($field->getOption('api'))) ? $field->getOption('api') : false;
$url = 'https://api-maps.yandex.ru/2.1/?lang=ru_RU&onload=init';
if ($api) {
    $url .= "&apikey=" . $api;
}
$this->addJSFromContext($url);
ob_start();
?>
<script type="text/javascript">
    var myMap,
            myPlacemark;

<?php

if (!$field->isCoords($value)) {
    $value = "";
}

$cn    = empty($value) ? $field->getOption('center') : $value;
$zoom  = $field->getOption('zoom');
$hide2 = $field->getOption('hide2');
?>

    function init() {
        myMap = new ymaps.Map("mapayandexaunicid", {
            center: [<?php html($cn); ?>],
            zoom: <?php html($zoom); ?>,
            controls: ['geolocationControl', 'zoomControl', 'typeSelector']
        }, {suppressMapOpenBlock: true});

        var searchControl = new ymaps.control.SearchControl({
            options: {
                float: 'left',
                floatIndex: 100,
                noPlacemark: true
            }
        });

        myMap.controls.add(searchControl);

<?php if ($value) { ?>
            myPlacemark = new ymaps.Placemark([<?php html($cn); ?>], {});
            myMap.geoObjects.add(myPlacemark);
    <?php if ($hide2) { ?>
                $('.showmap').click(function (e) {
                    e.preventDefault();
    <?php } ?>
                myMap.container.fitToViewport();
    <?php if ($hide2) { ?>
                });
    <?php } ?>

<?php } ?>

        myMap.events.add('click', function (e) {
            myMap.geoObjects.remove(myPlacemark);
            var coords = e.get('coords');
            myPlacemark = new ymaps.Placemark([coords[0], coords[1]], {});
            myMap.geoObjects.add(myPlacemark);
            $('#<?php echo $field->name; ?>').val(coords[0] + ',' + coords[1]);
<?php if ($hide2) { ?>
                setShowmapName(1);
<?php } ?>
        });
    }

    $(document).ready(function () {
        $('.clearmap').click(function (event) {
            event.preventDefault();
            $('#<?php echo $field->name; ?>').val('');
            myMap.geoObjects.remove(myPlacemark);
<?php if ($hide2) { ?>
                setShowmapName();
<?php } ?>
        });
    });

<?php if ($hide2) { ?>

        function setShowmapName(byclick) {
            if (byclick === 1) {
                $('.showmap').text('<?php echo LANG_FIELD_YANDEXMAPS_HIDE2_READY; ?>');
                return;
            }
            if ($('#<?php echo $field->name; ?>').val().length > 0) {
                $('.showmap').text('<?php echo LANG_FIELD_YANDEXMAPS_HIDE2_TEXT2; ?>');
            } else {
                $('.showmap').text('<?php echo LANG_FIELD_YANDEXMAPS_HIDE2_TEXT; ?>');
            }
        }
        $('.showmap').click(function (e) {
            e.preventDefault();
            $('.mapyandexadd').toggle();
            setShowmapName();
        });
        setShowmapName();

<?php } ?>
</script>
<?php
$this->addBottom(ob_get_clean());
?>
<?php if ($hide2) { ?>
    <a href="#" class="showmap">
        <?php echo LANG_FIELD_YANDEXMAPS_HIDE2_TEXT; ?>
    </a>
<?php } ?>
<div class="mapyandexadd"<?php if ($hide2) { ?> style="display: none;"<?php } ?>>
    <div id="mapayandexaunicid"></div>
    <?php echo html_input('hidden', $field->element_name, $value, array('id' => $field->id)); ?>
    <a class="clearmap" href="#"><?php echo LANG_FIELD_YANDEXMAPS_CLEAR; ?></a>
</div>
<style>
    #mapayandexaunicid{width: 100%;height: 350px;max-height: 70vh;}
    .mapyandexadd{box-sizing: border-box;padding: 5px;background: #ECF0F1;}
    .showmap{width: 45%;padding: 10px; background: #ECF0F1;font-weight: bold;text-decoration: none;display: inline-block;}
    .clearmap{display: inline-block;text-decoration: none;border-bottom: 1px dotted;padding: 6px 3px 3px;}
</style>